/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ProjectQuotaDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ProjectQuotaDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ProjectQuotaDto
        //private ProjectQuotaDto instance;

        public ProjectQuotaDtoTests()
        {
            // TODO uncomment below to create an instance of ProjectQuotaDto
            //instance = new ProjectQuotaDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectQuotaDto
        /// </summary>
        [Fact]
        public void ProjectQuotaDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ProjectQuotaDto
            //Assert.IsType<ProjectQuotaDto>(instance);
        }

        /// <summary>
        /// Test the property 'ProjectId'
        /// </summary>
        [Fact]
        public void ProjectIdTest()
        {
            // TODO unit test for the property 'ProjectId'
        }

        /// <summary>
        /// Test the property 'TotalUsed'
        /// </summary>
        [Fact]
        public void TotalUsedTest()
        {
            // TODO unit test for the property 'TotalUsed'
        }

        /// <summary>
        /// Test the property 'TotalReserved'
        /// </summary>
        [Fact]
        public void TotalReservedTest()
        {
            // TODO unit test for the property 'TotalReserved'
        }

        /// <summary>
        /// Test the property 'Allocated'
        /// </summary>
        [Fact]
        public void AllocatedTest()
        {
            // TODO unit test for the property 'Allocated'
        }

        /// <summary>
        /// Test the property 'Maximum'
        /// </summary>
        [Fact]
        public void MaximumTest()
        {
            // TODO unit test for the property 'Maximum'
        }

        /// <summary>
        /// Test the property 'ResourceType'
        /// </summary>
        [Fact]
        public void ResourceTypeTest()
        {
            // TODO unit test for the property 'ResourceType'
        }

        /// <summary>
        /// Test the property 'ResourceQuotas'
        /// </summary>
        [Fact]
        public void ResourceQuotasTest()
        {
            // TODO unit test for the property 'ResourceQuotas'
        }
    }
}
